org.wildfly.swarm.config

## Class EJB3<T extends EJB3<T>>

- java.lang.Object
- - org.wildfly.swarm.config.EJB3<T>

- Direct Known Subclasses:
    EJBFraction

      public class EJB3<T extends EJB3<T>>
      extends Object

  The configuration of the ejb3 subsystem.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EJB3.EJB3Resources` Child mutators for EJB3

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EJB3()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `allowEjbNameRegex()` If this is true then regular expressions can be used in interceptor bindings to allow interceptors to be mapped to all beans that match the regular expression
    `T` | `allowEjbNameRegex(Boolean value)` If this is true then regular expressions can be used in interceptor bindings to allow interceptors to be mapped to all beans that match the regular expression
    `T` | `applicationSecurityDomain(ApplicationSecurityDomain value)` Add the ApplicationSecurityDomain object to the list of subresources
    `T` | `applicationSecurityDomain(ApplicationSecurityDomainSupplier supplier)` Install a supplied ApplicationSecurityDomain object to the list of subresources
    `T` | `applicationSecurityDomain(String childKey)` Create and configure a ApplicationSecurityDomain object to the list of subresources
    `T` | `applicationSecurityDomain(String childKey, ApplicationSecurityDomainConsumer consumer)` Create and configure a ApplicationSecurityDomain object to the list of subresources
    `T` | `applicationSecurityDomains(List<ApplicationSecurityDomain> value)` Add all ApplicationSecurityDomain objects to this subresource
    `T` | `asyncService()` The EJB3 Asynchronous Invocation Service
    `T` | `asyncService(AsyncService value)` The EJB3 Asynchronous Invocation Service
    `T` | `asyncService(AsyncServiceConsumer consumer)` The EJB3 Asynchronous Invocation Service
    `T` | `asyncService(AsyncServiceSupplier supplier)` The EJB3 Asynchronous Invocation Service
    `T` | `cache(Cache value)` Add the Cache object to the list of subresources
    `T` | `cache(CacheSupplier supplier)` Install a supplied Cache object to the list of subresources
    `T` | `cache(String childKey)` Create and configure a Cache object to the list of subresources
    `T` | `cache(String childKey, CacheConsumer consumer)` Create and configure a Cache object to the list of subresources
    `T` | `caches(List<Cache> value)` Add all Cache objects to this subresource
    `T` | `clusterPassivationStore(ClusterPassivationStore value)` Add the ClusterPassivationStore object to the list of subresources
    `T` | `clusterPassivationStore(ClusterPassivationStoreSupplier supplier)` Install a supplied ClusterPassivationStore object to the list of subresources
    `T` | `clusterPassivationStore(String childKey)` Create and configure a ClusterPassivationStore object to the list of subresources
    `T` | `clusterPassivationStore(String childKey, ClusterPassivationStoreConsumer consumer)` Create and configure a ClusterPassivationStore object to the list of subresources
    `T` | `clusterPassivationStores(List<ClusterPassivationStore> value)` Add all ClusterPassivationStore objects to this subresource
    `String` | `defaultClusteredSfsbCache()` Name of the default stateful bean cache, which will be applicable to all clustered stateful EJBs, unless overridden at the deployment or bean level
    `T` | `defaultClusteredSfsbCache(String value)` Name of the default stateful bean cache, which will be applicable to all clustered stateful EJBs, unless overridden at the deployment or bean level
    `String` | `defaultDistinctName()` The default distinct name that is applied to every EJB deployed on this server
    `T` | `defaultDistinctName(String value)` The default distinct name that is applied to every EJB deployed on this server
    `String` | `defaultEntityBeanInstancePool()` Name of the default entity bean instance pool, which will be applicable to all entity beans, unless overridden at the deployment or bean level
    `T` | `defaultEntityBeanInstancePool(String value)` Name of the default entity bean instance pool, which will be applicable to all entity beans, unless overridden at the deployment or bean level
    `Boolean` | `defaultEntityBeanOptimisticLocking()` If set to true entity beans will use optimistic locking by default
    `T` | `defaultEntityBeanOptimisticLocking(Boolean value)` If set to true entity beans will use optimistic locking by default
    `String` | `defaultMdbInstancePool()` Name of the default MDB instance pool, which will be applicable to all MDBs, unless overridden at the deployment or bean level
    `T` | `defaultMdbInstancePool(String value)` Name of the default MDB instance pool, which will be applicable to all MDBs, unless overridden at the deployment or bean level
    `Boolean` | `defaultMissingMethodPermissionsDenyAccess()` If this is set to true then methods on an EJB with a security domain specified or with other methods with security metadata will have an implicit @DenyAll unless other security metadata is present
    `T` | `defaultMissingMethodPermissionsDenyAccess(Boolean value)` If this is set to true then methods on an EJB with a security domain specified or with other methods with security metadata will have an implicit @DenyAll unless other security metadata is present
    `String` | `defaultResourceAdapterName()` Name of the default resource adapter name that will be used by MDBs, unless overridden at the deployment or bean level
    `T` | `defaultResourceAdapterName(String value)` Name of the default resource adapter name that will be used by MDBs, unless overridden at the deployment or bean level
    `String` | `defaultSecurityDomain()` The default security domain that will be used for EJBs if the bean doesn't explicitly specify one
    `T` | `defaultSecurityDomain(String value)` The default security domain that will be used for EJBs if the bean doesn't explicitly specify one
    `String` | `defaultSfsbCache()` Name of the default stateful bean cache, which will be applicable to all stateful EJBs, unless overridden at the deployment or bean level
    `T` | `defaultSfsbCache(String value)` Name of the default stateful bean cache, which will be applicable to all stateful EJBs, unless overridden at the deployment or bean level
    `String` | `defaultSfsbPassivationDisabledCache()` Name of the default stateful bean cache, which will be applicable to all stateful EJBs which have passivation disabled.
    `T` | `defaultSfsbPassivationDisabledCache(String value)` Name of the default stateful bean cache, which will be applicable to all stateful EJBs which have passivation disabled.
    `Long` | `defaultSingletonBeanAccessTimeout()` The default access timeout for singleton beans
    `T` | `defaultSingletonBeanAccessTimeout(Long value)` The default access timeout for singleton beans
    `String` | `defaultSlsbInstancePool()` Name of the default stateless bean instance pool, which will be applicable to all stateless EJBs, unless overridden at the deployment or bean level
    `T` | `defaultSlsbInstancePool(String value)` Name of the default stateless bean instance pool, which will be applicable to all stateless EJBs, unless overridden at the deployment or bean level
    `Long` | `defaultStatefulBeanAccessTimeout()` The default access timeout for stateful beans
    `T` | `defaultStatefulBeanAccessTimeout(Long value)` The default access timeout for stateful beans
    `Boolean` | `disableDefaultEjbPermissions()` This deprecated attribute has no effect and will be removed in a future release; it may never be set to a "false" value
    `T` | `disableDefaultEjbPermissions(Boolean value)` This deprecated attribute has no effect and will be removed in a future release; it may never be set to a "false" value
    `Boolean` | `enableGracefulTxnShutdown()` Enabling txn graceful shutdown will make the server wait for active EJB-related transactions to complete before suspending.
    `T` | `enableGracefulTxnShutdown(Boolean value)` Enabling txn graceful shutdown will make the server wait for active EJB-related transactions to complete before suspending.
    `Boolean` | `enableStatistics()` If set to true, enable the collection of invocation statistics.
    `T` | `enableStatistics(Boolean value)` If set to true, enable the collection of invocation statistics.
    `T` | `filePassivationStore(FilePassivationStore value)` Add the FilePassivationStore object to the list of subresources
    `T` | `filePassivationStore(FilePassivationStoreSupplier supplier)` Install a supplied FilePassivationStore object to the list of subresources
    `T` | `filePassivationStore(String childKey)` Create and configure a FilePassivationStore object to the list of subresources
    `T` | `filePassivationStore(String childKey, FilePassivationStoreConsumer consumer)` Create and configure a FilePassivationStore object to the list of subresources
    `T` | `filePassivationStores(List<FilePassivationStore> value)` Add all FilePassivationStore objects to this subresource
    `String` | `getKey()`
    `T` | `identityService()` Identity definition for security identity propagation
    `T` | `identityService(IdentityService value)` Identity definition for security identity propagation
    `T` | `identityService(IdentityServiceConsumer consumer)` Identity definition for security identity propagation
    `T` | `identityService(IdentityServiceSupplier supplier)` Identity definition for security identity propagation
    `T` | `iiopService()` The IIOP service
    `T` | `iiopService(IIOPService value)` The IIOP service
    `T` | `iiopService(IIOPServiceConsumer consumer)` The IIOP service
    `T` | `iiopService(IIOPServiceSupplier supplier)` The IIOP service
    `Boolean` | `inVmRemoteInterfaceInvocationPassByValue()` If set to false, the parameters to invocations on remote interface of an EJB, will be passed by reference.
    `T` | `inVmRemoteInterfaceInvocationPassByValue(Boolean value)` If set to false, the parameters to invocations on remote interface of an EJB, will be passed by reference.
    `Boolean` | `logSystemExceptions()` If this is true then all EJB system (not application) exceptions will be logged.
    `T` | `logSystemExceptions(Boolean value)` If this is true then all EJB system (not application) exceptions will be logged.
    `T` | `mdbDeliveryGroup(MDBDeliveryGroup value)` Add the MDBDeliveryGroup object to the list of subresources
    `T` | `mdbDeliveryGroup(MDBDeliveryGroupSupplier supplier)` Install a supplied MDBDeliveryGroup object to the list of subresources
    `T` | `mdbDeliveryGroup(String childKey)` Create and configure a MDBDeliveryGroup object to the list of subresources
    `T` | `mdbDeliveryGroup(String childKey, MDBDeliveryGroupConsumer consumer)` Create and configure a MDBDeliveryGroup object to the list of subresources
    `T` | `mdbDeliveryGroups(List<MDBDeliveryGroup> value)` Add all MDBDeliveryGroup objects to this subresource
    `T` | `passivationStore(PassivationStore value)` Add the PassivationStore object to the list of subresources
    `T` | `passivationStore(PassivationStoreSupplier supplier)` Install a supplied PassivationStore object to the list of subresources
    `T` | `passivationStore(String childKey)` Create and configure a PassivationStore object to the list of subresources
    `T` | `passivationStore(String childKey, PassivationStoreConsumer consumer)` Create and configure a PassivationStore object to the list of subresources
    `T` | `passivationStores(List<PassivationStore> value)` Add all PassivationStore objects to this subresource
    `T` | `remoteService()` The EJB3 Remote Service
    `T` | `remoteService(RemoteService value)` The EJB3 Remote Service
    `T` | `remoteService(RemoteServiceConsumer consumer)` The EJB3 Remote Service
    `T` | `remoteService(RemoteServiceSupplier supplier)` The EJB3 Remote Service
    `T` | `remotingProfile(RemotingProfile value)` Add the RemotingProfile object to the list of subresources
    `T` | `remotingProfile(RemotingProfileSupplier supplier)` Install a supplied RemotingProfile object to the list of subresources
    `T` | `remotingProfile(String childKey)` Create and configure a RemotingProfile object to the list of subresources
    `T` | `remotingProfile(String childKey, RemotingProfileConsumer consumer)` Create and configure a RemotingProfile object to the list of subresources
    `T` | `remotingProfiles(List<RemotingProfile> value)` Add all RemotingProfile objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `statisticsEnabled()` If set to true, enable the collection of invocation statistics.
    `T` | `statisticsEnabled(Boolean value)` If set to true, enable the collection of invocation statistics.
    `T` | `strictMaxBeanInstancePool(StrictMaxBeanInstancePool value)` Add the StrictMaxBeanInstancePool object to the list of subresources
    `T` | `strictMaxBeanInstancePool(StrictMaxBeanInstancePoolSupplier supplier)` Install a supplied StrictMaxBeanInstancePool object to the list of subresources
    `T` | `strictMaxBeanInstancePool(String childKey)` Create and configure a StrictMaxBeanInstancePool object to the list of subresources
    `T` | `strictMaxBeanInstancePool(String childKey, StrictMaxBeanInstancePoolConsumer consumer)` Create and configure a StrictMaxBeanInstancePool object to the list of subresources
    `T` | `strictMaxBeanInstancePools(List<StrictMaxBeanInstancePool> value)` Add all StrictMaxBeanInstancePool objects to this subresource
    `EJB3.EJB3Resources` | `subresources()`
    `T` | `threadPool(String childKey)` Create and configure a ThreadPool object to the list of subresources
    `T` | `threadPool(String childKey, ThreadPoolConsumer consumer)` Create and configure a ThreadPool object to the list of subresources
    `T` | `threadPool(ThreadPool value)` Add the ThreadPool object to the list of subresources
    `T` | `threadPool(ThreadPoolSupplier supplier)` Install a supplied ThreadPool object to the list of subresources
    `T` | `threadPools(List<ThreadPool> value)` Add all ThreadPool objects to this subresource
    `T` | `timerService()` The EJB timer service
    `T` | `timerService(TimerService value)` The EJB timer service
    `T` | `timerService(TimerServiceConsumer consumer)` The EJB timer service
    `T` | `timerService(TimerServiceSupplier supplier)` The EJB timer service

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EJB3

          public EJB3()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public EJB3.EJB3Resources subresources()

    - #### applicationSecurityDomains

          public T applicationSecurityDomains(List<ApplicationSecurityDomain> value)

      Add all ApplicationSecurityDomain objects to this subresource
      Parameters:
        `value` - List of ApplicationSecurityDomain objects.
      Returns:
        this

    - #### applicationSecurityDomain

          public T applicationSecurityDomain(ApplicationSecurityDomain value)

      Add the ApplicationSecurityDomain object to the list of subresources
      Parameters:
        `value` - The ApplicationSecurityDomain to add
      Returns:
        this

    - #### applicationSecurityDomain

          public T applicationSecurityDomain(String childKey,
                                             ApplicationSecurityDomainConsumer consumer)

      Create and configure a ApplicationSecurityDomain object to the list of subresources
      Parameters:
        `key` - The key for the ApplicationSecurityDomain resource
        `config` - The ApplicationSecurityDomainConsumer to use
      Returns:
        this

    - #### applicationSecurityDomain

          public T applicationSecurityDomain(String childKey)

      Create and configure a ApplicationSecurityDomain object to the list of subresources
      Parameters:
        `key` - The key for the ApplicationSecurityDomain resource
      Returns:
        this

    - #### applicationSecurityDomain

          public T applicationSecurityDomain(ApplicationSecurityDomainSupplier supplier)

      Install a supplied ApplicationSecurityDomain object to the list of subresources

    - #### strictMaxBeanInstancePools

          public T strictMaxBeanInstancePools(List<StrictMaxBeanInstancePool> value)

      Add all StrictMaxBeanInstancePool objects to this subresource
      Parameters:
        `value` - List of StrictMaxBeanInstancePool objects.
      Returns:
        this

    - #### strictMaxBeanInstancePool

          public T strictMaxBeanInstancePool(StrictMaxBeanInstancePool value)

      Add the StrictMaxBeanInstancePool object to the list of subresources
      Parameters:
        `value` - The StrictMaxBeanInstancePool to add
      Returns:
        this

    - #### strictMaxBeanInstancePool

          public T strictMaxBeanInstancePool(String childKey,
                                             StrictMaxBeanInstancePoolConsumer consumer)

      Create and configure a StrictMaxBeanInstancePool object to the list of subresources
      Parameters:
        `key` - The key for the StrictMaxBeanInstancePool resource
        `config` - The StrictMaxBeanInstancePoolConsumer to use
      Returns:
        this

    - #### strictMaxBeanInstancePool

          public T strictMaxBeanInstancePool(String childKey)

      Create and configure a StrictMaxBeanInstancePool object to the list of subresources
      Parameters:
        `key` - The key for the StrictMaxBeanInstancePool resource
      Returns:
        this

    - #### strictMaxBeanInstancePool

          public T strictMaxBeanInstancePool(StrictMaxBeanInstancePoolSupplier supplier)

      Install a supplied StrictMaxBeanInstancePool object to the list of subresources

    - #### caches

          public T caches(List<Cache> value)

      Add all Cache objects to this subresource
      Parameters:
        `value` - List of Cache objects.
      Returns:
        this

    - #### cache

          public T cache(Cache value)

      Add the Cache object to the list of subresources
      Parameters:
        `value` - The Cache to add
      Returns:
        this

    - #### cache

          public T cache(String childKey,
                         CacheConsumer consumer)

      Create and configure a Cache object to the list of subresources
      Parameters:
        `key` - The key for the Cache resource
        `config` - The CacheConsumer to use
      Returns:
        this

    - #### cache

          public T cache(String childKey)

      Create and configure a Cache object to the list of subresources
      Parameters:
        `key` - The key for the Cache resource
      Returns:
        this

    - #### cache

          public T cache(CacheSupplier supplier)

      Install a supplied Cache object to the list of subresources

    - #### remotingProfiles

          public T remotingProfiles(List<RemotingProfile> value)

      Add all RemotingProfile objects to this subresource
      Parameters:
        `value` - List of RemotingProfile objects.
      Returns:
        this

    - #### remotingProfile

          public T remotingProfile(RemotingProfile value)

      Add the RemotingProfile object to the list of subresources
      Parameters:
        `value` - The RemotingProfile to add
      Returns:
        this

    - #### remotingProfile

          public T remotingProfile(String childKey,
                                   RemotingProfileConsumer consumer)

      Create and configure a RemotingProfile object to the list of subresources
      Parameters:
        `key` - The key for the RemotingProfile resource
        `config` - The RemotingProfileConsumer to use
      Returns:
        this

    - #### remotingProfile

          public T remotingProfile(String childKey)

      Create and configure a RemotingProfile object to the list of subresources
      Parameters:
        `key` - The key for the RemotingProfile resource
      Returns:
        this

    - #### remotingProfile

          public T remotingProfile(RemotingProfileSupplier supplier)

      Install a supplied RemotingProfile object to the list of subresources

    - #### clusterPassivationStores

          public T clusterPassivationStores(List<ClusterPassivationStore> value)

      Add all ClusterPassivationStore objects to this subresource
      Parameters:
        `value` - List of ClusterPassivationStore objects.
      Returns:
        this

    - #### clusterPassivationStore

          public T clusterPassivationStore(ClusterPassivationStore value)

      Add the ClusterPassivationStore object to the list of subresources
      Parameters:
        `value` - The ClusterPassivationStore to add
      Returns:
        this

    - #### clusterPassivationStore

          public T clusterPassivationStore(String childKey,
                                           ClusterPassivationStoreConsumer consumer)

      Create and configure a ClusterPassivationStore object to the list of subresources
      Parameters:
        `key` - The key for the ClusterPassivationStore resource
        `config` - The ClusterPassivationStoreConsumer to use
      Returns:
        this

    - #### clusterPassivationStore

          public T clusterPassivationStore(String childKey)

      Create and configure a ClusterPassivationStore object to the list of subresources
      Parameters:
        `key` - The key for the ClusterPassivationStore resource
      Returns:
        this

    - #### clusterPassivationStore

          public T clusterPassivationStore(ClusterPassivationStoreSupplier supplier)

      Install a supplied ClusterPassivationStore object to the list of subresources

    - #### passivationStores

          public T passivationStores(List<PassivationStore> value)

      Add all PassivationStore objects to this subresource
      Parameters:
        `value` - List of PassivationStore objects.
      Returns:
        this

    - #### passivationStore

          public T passivationStore(PassivationStore value)

      Add the PassivationStore object to the list of subresources
      Parameters:
        `value` - The PassivationStore to add
      Returns:
        this

    - #### passivationStore

          public T passivationStore(String childKey,
                                    PassivationStoreConsumer consumer)

      Create and configure a PassivationStore object to the list of subresources
      Parameters:
        `key` - The key for the PassivationStore resource
        `config` - The PassivationStoreConsumer to use
      Returns:
        this

    - #### passivationStore

          public T passivationStore(String childKey)

      Create and configure a PassivationStore object to the list of subresources
      Parameters:
        `key` - The key for the PassivationStore resource
      Returns:
        this

    - #### passivationStore

          public T passivationStore(PassivationStoreSupplier supplier)

      Install a supplied PassivationStore object to the list of subresources

    - #### mdbDeliveryGroups

          public T mdbDeliveryGroups(List<MDBDeliveryGroup> value)

      Add all MDBDeliveryGroup objects to this subresource
      Parameters:
        `value` - List of MDBDeliveryGroup objects.
      Returns:
        this

    - #### mdbDeliveryGroup

          public T mdbDeliveryGroup(MDBDeliveryGroup value)

      Add the MDBDeliveryGroup object to the list of subresources
      Parameters:
        `value` - The MDBDeliveryGroup to add
      Returns:
        this

    - #### mdbDeliveryGroup

          public T mdbDeliveryGroup(String childKey,
                                    MDBDeliveryGroupConsumer consumer)

      Create and configure a MDBDeliveryGroup object to the list of subresources
      Parameters:
        `key` - The key for the MDBDeliveryGroup resource
        `config` - The MDBDeliveryGroupConsumer to use
      Returns:
        this

    - #### mdbDeliveryGroup

          public T mdbDeliveryGroup(String childKey)

      Create and configure a MDBDeliveryGroup object to the list of subresources
      Parameters:
        `key` - The key for the MDBDeliveryGroup resource
      Returns:
        this

    - #### mdbDeliveryGroup

          public T mdbDeliveryGroup(MDBDeliveryGroupSupplier supplier)

      Install a supplied MDBDeliveryGroup object to the list of subresources

    - #### threadPools

          public T threadPools(List<ThreadPool> value)

      Add all ThreadPool objects to this subresource
      Parameters:
        `value` - List of ThreadPool objects.
      Returns:
        this

    - #### threadPool

          public T threadPool(ThreadPool value)

      Add the ThreadPool object to the list of subresources
      Parameters:
        `value` - The ThreadPool to add
      Returns:
        this

    - #### threadPool

          public T threadPool(String childKey,
                              ThreadPoolConsumer consumer)

      Create and configure a ThreadPool object to the list of subresources
      Parameters:
        `key` - The key for the ThreadPool resource
        `config` - The ThreadPoolConsumer to use
      Returns:
        this

    - #### threadPool

          public T threadPool(String childKey)

      Create and configure a ThreadPool object to the list of subresources
      Parameters:
        `key` - The key for the ThreadPool resource
      Returns:
        this

    - #### threadPool

          public T threadPool(ThreadPoolSupplier supplier)

      Install a supplied ThreadPool object to the list of subresources

    - #### filePassivationStores

          public T filePassivationStores(List<FilePassivationStore> value)

      Add all FilePassivationStore objects to this subresource
      Parameters:
        `value` - List of FilePassivationStore objects.
      Returns:
        this

    - #### filePassivationStore

          public T filePassivationStore(FilePassivationStore value)

      Add the FilePassivationStore object to the list of subresources
      Parameters:
        `value` - The FilePassivationStore to add
      Returns:
        this

    - #### filePassivationStore

          public T filePassivationStore(String childKey,
                                        FilePassivationStoreConsumer consumer)

      Create and configure a FilePassivationStore object to the list of subresources
      Parameters:
        `key` - The key for the FilePassivationStore resource
        `config` - The FilePassivationStoreConsumer to use
      Returns:
        this

    - #### filePassivationStore

          public T filePassivationStore(String childKey)

      Create and configure a FilePassivationStore object to the list of subresources
      Parameters:
        `key` - The key for the FilePassivationStore resource
      Returns:
        this

    - #### filePassivationStore

          public T filePassivationStore(FilePassivationStoreSupplier supplier)

      Install a supplied FilePassivationStore object to the list of subresources

    - #### timerService

          public T timerService(TimerService value)

      The EJB timer service

    - #### timerService

          public T timerService(TimerServiceConsumer consumer)

      The EJB timer service

    - #### timerService

          public T timerService()

      The EJB timer service

    - #### timerService

          public T timerService(TimerServiceSupplier supplier)

      The EJB timer service

    - #### remoteService

          public T remoteService(RemoteService value)

      The EJB3 Remote Service

    - #### remoteService

          public T remoteService(RemoteServiceConsumer consumer)

      The EJB3 Remote Service

    - #### remoteService

          public T remoteService()

      The EJB3 Remote Service

    - #### remoteService

          public T remoteService(RemoteServiceSupplier supplier)

      The EJB3 Remote Service

    - #### asyncService

          public T asyncService(AsyncService value)

      The EJB3 Asynchronous Invocation Service

    - #### asyncService

          public T asyncService(AsyncServiceConsumer consumer)

      The EJB3 Asynchronous Invocation Service

    - #### asyncService

          public T asyncService()

      The EJB3 Asynchronous Invocation Service

    - #### asyncService

          public T asyncService(AsyncServiceSupplier supplier)

      The EJB3 Asynchronous Invocation Service

    - #### identityService

          public T identityService(IdentityService value)

      Identity definition for security identity propagation

    - #### identityService

          public T identityService(IdentityServiceConsumer consumer)

      Identity definition for security identity propagation

    - #### identityService

          public T identityService()

      Identity definition for security identity propagation

    - #### identityService

          public T identityService(IdentityServiceSupplier supplier)

      Identity definition for security identity propagation

    - #### iiopService

          public T iiopService(IIOPService value)

      The IIOP service

    - #### iiopService

          public T iiopService(IIOPServiceConsumer consumer)

      The IIOP service

    - #### iiopService

          public T iiopService()

      The IIOP service

    - #### iiopService

          public T iiopService(IIOPServiceSupplier supplier)

      The IIOP service

    - #### allowEjbNameRegex

          public Boolean allowEjbNameRegex()

      If this is true then regular expressions can be used in interceptor bindings to allow interceptors to be mapped to all beans that match the regular expression

    - #### allowEjbNameRegex

          public T allowEjbNameRegex(Boolean value)

      If this is true then regular expressions can be used in interceptor bindings to allow interceptors to be mapped to all beans that match the regular expression

    - #### defaultClusteredSfsbCache

          public String defaultClusteredSfsbCache()

      Name of the default stateful bean cache, which will be applicable to all clustered stateful EJBs, unless overridden at the deployment or bean level

    - #### defaultClusteredSfsbCache

          public T defaultClusteredSfsbCache(String value)

      Name of the default stateful bean cache, which will be applicable to all clustered stateful EJBs, unless overridden at the deployment or bean level

    - #### defaultDistinctName

          public String defaultDistinctName()

      The default distinct name that is applied to every EJB deployed on this server

    - #### defaultDistinctName

          public T defaultDistinctName(String value)

      The default distinct name that is applied to every EJB deployed on this server

    - #### defaultEntityBeanInstancePool

          public String defaultEntityBeanInstancePool()

      Name of the default entity bean instance pool, which will be applicable to all entity beans, unless overridden at the deployment or bean level

    - #### defaultEntityBeanInstancePool

          public T defaultEntityBeanInstancePool(String value)

      Name of the default entity bean instance pool, which will be applicable to all entity beans, unless overridden at the deployment or bean level

    - #### defaultEntityBeanOptimisticLocking

          public Boolean defaultEntityBeanOptimisticLocking()

      If set to true entity beans will use optimistic locking by default

    - #### defaultEntityBeanOptimisticLocking

          public T defaultEntityBeanOptimisticLocking(Boolean value)

      If set to true entity beans will use optimistic locking by default

    - #### defaultMdbInstancePool

          public String defaultMdbInstancePool()

      Name of the default MDB instance pool, which will be applicable to all MDBs, unless overridden at the deployment or bean level

    - #### defaultMdbInstancePool

          public T defaultMdbInstancePool(String value)

      Name of the default MDB instance pool, which will be applicable to all MDBs, unless overridden at the deployment or bean level

    - #### defaultMissingMethodPermissionsDenyAccess

          public Boolean defaultMissingMethodPermissionsDenyAccess()

      If this is set to true then methods on an EJB with a security domain specified or with other methods with security metadata will have an implicit @DenyAll unless other security metadata is present

    - #### defaultMissingMethodPermissionsDenyAccess

          public T defaultMissingMethodPermissionsDenyAccess(Boolean value)

      If this is set to true then methods on an EJB with a security domain specified or with other methods with security metadata will have an implicit @DenyAll unless other security metadata is present

    - #### defaultResourceAdapterName

          public String defaultResourceAdapterName()

      Name of the default resource adapter name that will be used by MDBs, unless overridden at the deployment or bean level

    - #### defaultResourceAdapterName

          public T defaultResourceAdapterName(String value)

      Name of the default resource adapter name that will be used by MDBs, unless overridden at the deployment or bean level

    - #### defaultSecurityDomain

          public String defaultSecurityDomain()

      The default security domain that will be used for EJBs if the bean doesn't explicitly specify one

    - #### defaultSecurityDomain

          public T defaultSecurityDomain(String value)

      The default security domain that will be used for EJBs if the bean doesn't explicitly specify one

    - #### defaultSfsbCache

          public String defaultSfsbCache()

      Name of the default stateful bean cache, which will be applicable to all stateful EJBs, unless overridden at the deployment or bean level

    - #### defaultSfsbCache

          public T defaultSfsbCache(String value)

      Name of the default stateful bean cache, which will be applicable to all stateful EJBs, unless overridden at the deployment or bean level

    - #### defaultSfsbPassivationDisabledCache

          public String defaultSfsbPassivationDisabledCache()

      Name of the default stateful bean cache, which will be applicable to all stateful EJBs which have passivation disabled. Each deployment or EJB can optionally override this cache name.

    - #### defaultSfsbPassivationDisabledCache

          public T defaultSfsbPassivationDisabledCache(String value)

      Name of the default stateful bean cache, which will be applicable to all stateful EJBs which have passivation disabled. Each deployment or EJB can optionally override this cache name.

    - #### defaultSingletonBeanAccessTimeout

          public Long defaultSingletonBeanAccessTimeout()

      The default access timeout for singleton beans

    - #### defaultSingletonBeanAccessTimeout

          public T defaultSingletonBeanAccessTimeout(Long value)

      The default access timeout for singleton beans

    - #### defaultSlsbInstancePool

          public String defaultSlsbInstancePool()

      Name of the default stateless bean instance pool, which will be applicable to all stateless EJBs, unless overridden at the deployment or bean level

    - #### defaultSlsbInstancePool

          public T defaultSlsbInstancePool(String value)

      Name of the default stateless bean instance pool, which will be applicable to all stateless EJBs, unless overridden at the deployment or bean level

    - #### defaultStatefulBeanAccessTimeout

          public Long defaultStatefulBeanAccessTimeout()

      The default access timeout for stateful beans

    - #### defaultStatefulBeanAccessTimeout

          public T defaultStatefulBeanAccessTimeout(Long value)

      The default access timeout for stateful beans

    - #### disableDefaultEjbPermissions

          public Boolean disableDefaultEjbPermissions()

      This deprecated attribute has no effect and will be removed in a future release; it may never be set to a "false" value

    - #### disableDefaultEjbPermissions

          public T disableDefaultEjbPermissions(Boolean value)

      This deprecated attribute has no effect and will be removed in a future release; it may never be set to a "false" value

    - #### enableGracefulTxnShutdown

          public Boolean enableGracefulTxnShutdown()

      Enabling txn graceful shutdown will make the server wait for active EJB-related transactions to complete before suspending. For that reason, if the server is running on a cluster, the suspending cluster node may receive ejb requests until all active transactions are complete. To avoid this behavior, omit this tag.

    - #### enableGracefulTxnShutdown

          public T enableGracefulTxnShutdown(Boolean value)

      Enabling txn graceful shutdown will make the server wait for active EJB-related transactions to complete before suspending. For that reason, if the server is running on a cluster, the suspending cluster node may receive ejb requests until all active transactions are complete. To avoid this behavior, omit this tag.

    - #### enableStatistics

          public Boolean enableStatistics()

      If set to true, enable the collection of invocation statistics. Deprecated in favour of "statistics-enabled"

    - #### enableStatistics

          public T enableStatistics(Boolean value)

      If set to true, enable the collection of invocation statistics. Deprecated in favour of "statistics-enabled"

    - #### inVmRemoteInterfaceInvocationPassByValue

          public Boolean inVmRemoteInterfaceInvocationPassByValue()

      If set to false, the parameters to invocations on remote interface of an EJB, will be passed by reference. Else, the parameters will be passed by value.

    - #### inVmRemoteInterfaceInvocationPassByValue

          public T inVmRemoteInterfaceInvocationPassByValue(Boolean value)

      If set to false, the parameters to invocations on remote interface of an EJB, will be passed by reference. Else, the parameters will be passed by value.

    - #### logSystemExceptions

          public Boolean logSystemExceptions()

      If this is true then all EJB system (not application) exceptions will be logged. The EJB spec mandates this behaviour, however it is not recommended as it will often result in exceptions being logged twice (once by the EJB and once by the calling code)

    - #### logSystemExceptions

          public T logSystemExceptions(Boolean value)

      If this is true then all EJB system (not application) exceptions will be logged. The EJB spec mandates this behaviour, however it is not recommended as it will often result in exceptions being logged twice (once by the EJB and once by the calling code)

    - #### statisticsEnabled

          public Boolean statisticsEnabled()

      If set to true, enable the collection of invocation statistics.

    - #### statisticsEnabled

          public T statisticsEnabled(Boolean value)

      If set to true, enable the collection of invocation statistics.

Copyright © 2017 JBoss by Red Hat. All rights reserved.